org.apache.flume

## Interface ChannelFactory

- All Known Implementing Classes:
    DefaultChannelFactory

      public interface ChannelFactory

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Channel` | `create(String name, String type)`
    `Class<? extends Channel>` | `getClass(String type)`

- - ### Method Detail

    - #### create

          Channel create(String name,
                       String type)
                         throws FlumeException

      Throws:
        `FlumeException`

    - #### getClass

          Class<? extends Channel> getClass(String type)
                                            throws FlumeException

      Throws:
        `FlumeException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.